package com.ruoyi.web.controller.department;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;

import com.sooka.jnb.department.domin.Department;
import com.sooka.jnb.department.service.DepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 部门配置Controller
 *
 * @author ruoyi
 * @date 2024-03-01
 */

@RestController
@RequestMapping("/jnb/department")
public class configurationController extends BaseController
{
    @Autowired
    private DepartmentService departmentService;

    /**
     * 查询部门配置列表
     */
    @GetMapping("/list")
    public TableDataInfo list(Department department)
    {
        startPage();
        List<Department> list = departmentService.selectSysDeptVo(department);
        return getDataTable(list);
    }

    /**
     * 获取部门配置详细信息
     */
    @GetMapping(value = "/lists/{id}")
    public AjaxResult getInfo(@PathVariable("id") Integer id)
    {
        return success(departmentService.selectSysDeptById(id));
    }

    /**
     * 新增部门配置
     */
    @PostMapping("add")
    public AjaxResult add(@RequestBody Department department)
    {
        return toAjax(departmentService.insertSysDept(department));
    }

    /**
     * 修改部门配置
     */
    @PutMapping("update")
    public AjaxResult edit(@RequestBody Department department)
    {
        return toAjax(departmentService.updateSysDept(department));
    }

    /**
     * 删除部门配置
     */
    @DeleteMapping("/delete/{id}")
    public AjaxResult remove(@PathVariable Long id)
    {
        return toAjax(departmentService.deleteSysDeptByDeptId(id));
    }

}
