package com.ruoyi.web.controller.matter;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;

import com.sooka.jnb.department.domin.Department;
import com.sooka.jnb.department.service.DepartmentService;
import com.sooka.jnb.matter.domin.Collect;
import com.sooka.jnb.matter.domin.Matter;
import com.sooka.jnb.matter.service.MatterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
/**
 * 事项Controller
 *
 * @author ruoyi
 * @date 2024-03-01
 */
@RestController
@RequestMapping("/jnb/matter")
public class matterConllter extends BaseController {

    @Autowired
    private MatterService matterService;

    @Autowired
    private DepartmentService departmentService;
        /**
         * 查询事项列表
         */
        @GetMapping("/list")
        public TableDataInfo list(Matter matter)
        {
            startPage();
            List<Matter> list = matterService.selectSysMatterVo(matter);
            return getDataTable(list);
        }
    /**
     * 查询事项列表
     */
    @GetMapping("/listAll")
    public AjaxResult listAll(Matter matter)
    {
        return success(matterService.selectSysMatterVo(matter));
    }

    /**
     * 查询事项列表
     */
    @GetMapping("/listdept")
    public AjaxResult listdept(Department department)
    {
        return success(departmentService.selectSysDeptVo(department));
    }
        /**
         * 获取事项详细信息
         */
        @GetMapping(value = "/lists/{id}")
        public AjaxResult getInfo(@PathVariable("id") Integer id)
        {
            return success(matterService.selectSysMatterById(id));
        }

        /**
         * 新增事项
         */
        @PostMapping("add")
        public AjaxResult add(@RequestBody Matter matter)
        {
            return toAjax(matterService.insertSysMatter(matter));
        }

        /**
         * 修改事项
         */
        @PutMapping("update")
        public AjaxResult edit(@RequestBody Matter matter)
        {
            return toAjax(matterService.updateSysMatter(matter));
        }

        /**
         * 审核事项
         */
        @PutMapping("examine")
        public AjaxResult examine(@RequestBody Matter matter)
        {
            return toAjax(matterService.examine(matter));
        }

        /**
         * 删除事项
         */
        @DeleteMapping("/delete/{id}")
        public AjaxResult remove(@PathVariable Long id)
        {
            return toAjax(matterService.deleteSysMatterByDeptId(id));
        }


}
