package com.ruoyi.common.utils;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.commons.collections4.MapUtils;

public class BuildTreeUtil {
    private static final String ID = "id";
    private static final String PARENTID = "parentId";

    public BuildTreeUtil() {
    }

    public static List<Map<String, Object>> buildDeptTree(List<Map<String, Object>> data) {
        List<Map<String, Object>> returnList = new ArrayList();
        List<String> tempList = new ArrayList();
        Iterator var3 = data.iterator();

        Map dept;
        while(var3.hasNext()) {
            dept = (Map)var3.next();
            tempList.add(MapUtils.getString(dept, "id"));
        }

        var3 = data.iterator();

        while(var3.hasNext()) {
            dept = (Map)var3.next();
            if (!tempList.contains(MapUtils.getString(dept, "parentId"))) {
                recursionFn(data, dept);
                ((List)returnList).add(dept);
            }
        }

        if (((List)returnList).isEmpty()) {
            returnList = data;
        }

        return (List)returnList;
    }

    private static void recursionFn(List<Map<String, Object>> list, Map<String, Object> t) {
        List<Map<String, Object>> childList = getChildList(list, t);
        t.put("children", childList);
        Iterator var3 = childList.iterator();

        while(var3.hasNext()) {
            Map<String, Object> tChild = (Map)var3.next();
            if (hasChild(list, tChild)) {
                recursionFn(list, tChild);
            }
        }

    }

    private static List<Map<String, Object>> getChildList(List<Map<String, Object>> list, Map<String, Object> t) {
        List<Map<String, Object>> tlist = new ArrayList();
        Iterator<Map<String, Object>> it = list.iterator();

        while(it.hasNext()) {
            Map<String, Object> n = (Map)it.next();
            if (StringUtils.isNotNull(MapUtils.getString(n, "parentId")) && MapUtils.getString(n, "parentId").equals(MapUtils.getString(t, "id"))) {
                tlist.add(n);
            }
        }

        return tlist;
    }

    private static boolean hasChild(List<Map<String, Object>> list, Map<String, Object> t) {
        return !getChildList(list, t).isEmpty();
    }
}