package com.ruoyi.framework.db.factory;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class CustomMetaObjectHandler implements MetaObjectHandler {

    private static final String createBy = "createBy";
    private static final String createTime = "createTime";
    private static final String updateBy = "updateBy";
    private static final String updateTime = "updateTime";

    // 新增数据时执行
    @Override
    public void insertFill(MetaObject metaObject) {
        // 删除标识
        this.strictInsertFill(metaObject, "delFlag", String.class, "0");
        // 版本号
        this.strictInsertFill(metaObject, "version", Integer.class, 1);
        // 创建人、修改人
        if(!"com.ruoyi.common.core.domain.entity.WxUser".equals(metaObject.getOriginalObject().getClass().getName())){
            this.strictInsertFill(metaObject, createBy, String.class, String.valueOf(SecurityUtils.getUserId()));
            this.strictInsertFill(metaObject, updateBy, String.class, String.valueOf(SecurityUtils.getUserId()));
        }

        this.strictInsertFill(metaObject, createTime, DateUtils::getNowDate, Date.class);
        // 创建时间、修改时间
        this.strictInsertFill(metaObject, updateTime, DateUtils::getNowDate, Date.class);
    }

    // 更新数据时执行
    @Override
    public void updateFill(MetaObject metaObject) {
        // mp 默认有值不覆盖
        metaObject.setValue(updateBy, null);
        metaObject.setValue(updateTime, null);
        try {
            this.strictUpdateFill(metaObject, updateBy, String.class, String.valueOf(SecurityUtils.getUserId()));
            this.strictUpdateFill(metaObject, updateTime, DateUtils::getNowDate, Date.class);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
