package com.sooka.jnb.asking.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 问答列-问题对象 jnb_question
 * 
 * @author 韩福成
 * @date 2024-03-11
 */
public class JnbQuestion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 正文 */
    @Excel(name = "正文")
    private String text;

    /** 是否首页展示 */
    @Excel(name = "是否首页展示")
    private String whetherShow;

    /** 类型配置id */
    @Excel(name = "类型配置id")
    private String typeId;

    /** 类型名称 */
    private String type;

    /** 悬赏积分 */
    @Excel(name = "悬赏积分")
    private String score;

    /** 审核状态（3-待审核；1-审核通过；2-审核未通过） */
    @Excel(name = "审核状态", readConverterExp = "3=-待审核；1-审核通过；2-审核未通过")
    private String status;

    /** 浏览数 */
    @Excel(name = "浏览数")
    private Long browse;

    /** 评论数 */
    private Long comment;

    /** 收藏数 */
    private Long collect;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String dataStatus;

    /**
     * 图片路径
     */
    private String path;

    private String[] paths;

    private String tab;

    //答案
    private List<JnbAnswer> answerList;

    public List<JnbAnswer> getAnswerList() {
        return answerList;
    }

    public void setAnswerList(List<JnbAnswer> answerList) {
        this.answerList = answerList;
    }

    public String getTab() {
        return tab;
    }

    public void setTab(String tab) {
        this.tab = tab;
    }

    public String[] getPaths() {
        return paths;
    }

    public void setPaths(String[] paths) {
        this.paths = paths;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Long getCollect() {
        return collect;
    }

    public void setCollect(Long collect) {
        this.collect = collect;
    }

    public Long getComment() {
        return comment;
    }

    public void setComment(Long comment) {
        this.comment = comment;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setText(String text) 
    {
        this.text = text;
    }

    public String getText() 
    {
        return text;
    }
    public void setWhetherShow(String whetherShow) 
    {
        this.whetherShow = whetherShow;
    }

    public String getWhetherShow() 
    {
        return whetherShow;
    }
    public void setTypeId(String typeId) 
    {
        this.typeId = typeId;
    }

    public String getTypeId() 
    {
        return typeId;
    }
    public void setScore(String score) 
    {
        this.score = score;
    }

    public String getScore() 
    {
        return score;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setBrowse(Long browse) 
    {
        this.browse = browse;
    }

    public Long getBrowse() 
    {
        return browse;
    }
    public void setDataStatus(String dataStatus) 
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus() 
    {
        return dataStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("text", getText())
            .append("whetherShow", getWhetherShow())
            .append("typeId", getTypeId())
            .append("score", getScore())
            .append("status", getStatus())
            .append("browse", getBrowse())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("dataStatus", getDataStatus())
            .toString();
    }
}
