package com.sooka.jnb.asking.mapper;

import com.sooka.jnb.asking.domain.JnbQuestionCollect;

import java.util.List;

/**
 * 问题收藏Mapper接口
 *
 * @author 韩福成
 * @date 2024-03-13
 */
public interface JnbQuestionCollectMapper {
    /**
     * 查询问题收藏
     *
     * @param id 问题收藏主键
     * @return 问题收藏
     */
    public JnbQuestionCollect selectJnbQuestionCollectById(String id);

    /**
     * 查询问题收藏列表
     *
     * @param jnbQuestionCollect 问题收藏
     * @return 问题收藏集合
     */
    public List<JnbQuestionCollect> selectJnbQuestionCollectList(JnbQuestionCollect jnbQuestionCollect);

    /**
     * 新增问题收藏
     *
     * @param jnbQuestionCollect 问题收藏
     * @return 结果
     */
    public int insertJnbQuestionCollect(JnbQuestionCollect jnbQuestionCollect);

    /**
     * 修改问题收藏
     *
     * @param jnbQuestionCollect 问题收藏
     * @return 结果
     */
    public int updateJnbQuestionCollect(JnbQuestionCollect jnbQuestionCollect);

    /**
     * 删除问题收藏
     *
     * @param id 问题收藏主键
     * @return 结果
     */
    public int deleteJnbQuestionCollectById(String id);

    /**
     * 批量删除问题收藏
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJnbQuestionCollectByIds(String[] ids);

    /*
    * 按问题id删除
    *
    * @author 韩福成
    * @date 2024/3/14 8:56
    */
    public int deleteJnbQuestionCollect(String questionId);
}
