package com.sooka.jnb.asking.mapper;

import com.sooka.jnb.asking.domain.JnbQuestion;
import com.sooka.jnb.asking.domain.JnbQuestionImg;

import java.util.List;

/**
 * 问答列-问题Mapper接口
 *
 * @author 韩福成
 * @date 2024-03-11
 */
public interface JnbQuestionMapper {
    /**
     * 查询问答列-问题
     *
     * @param id 问答列-问题主键
     * @return 问答列-问题
     */
    public JnbQuestion selectJnbQuestionById(String id);

    /**
     * 查询问答列-问题列表
     *
     * @param jnbQuestion 问答列-问题
     * @return 问答列-问题集合
     */
    public List<JnbQuestion> selectJnbQuestionList(JnbQuestion jnbQuestion);

    /**
     * 新增问答列-问题
     *
     * @param jnbQuestion 问答列-问题
     * @return 结果
     */
    public int insertJnbQuestion(JnbQuestion jnbQuestion);

    /**
     * 修改问答列-问题
     *
     * @param jnbQuestion 问答列-问题
     * @return 结果
     */
    public int updateJnbQuestion(JnbQuestion jnbQuestion);

    /**
     * 删除问答列-问题
     *
     * @param id 问答列-问题主键
     * @return 结果
     */
    public int deleteJnbQuestionById(String id);

    /**
     * 批量删除问答列-问题
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJnbQuestionByIds(String[] ids);

    /*
    * 新增问题图片
    *
    * @author 韩福成
    * @date 2024/3/11 16:12
    */
    public int insertJnbQuestionImg(JnbQuestionImg jnbQuestionImg);

    /*
    * 按问题id删除图片
    *
    * @author 韩福成
    * @date 2024/3/11 16:43
    */
    public int deleteQuestionImg(String id);

    /*
    * 小程序-获取热门问答列表
    *
    * @author 韩福成
    * @date 2024/3/11 14:31
    */
    public List<JnbQuestion> getHotQuestionList(JnbQuestion jnbQuestion);

    /*
    * 小程序-按类型查询问题
    *
    * @author 韩福成
    * @date 2024/3/12 13:06
    */
    public List<JnbQuestion> getQuestionByType(JnbQuestion jnbQuestion);

    /*
    * 小程序-按类型查询精彩回答问题列表
    *
    * @author 韩福成
    * @date 2024/3/12 15:54
    */
    public List<JnbQuestion> getExcitingAnswersList(JnbQuestion jnbQuestion);

    /*
    * 小程序-按类型查询最多悬赏问题列表
    *
    * @author 韩福成
    * @date 2024/3/12 15:54
    */
    public List<JnbQuestion> getMaxScoreList(JnbQuestion jnbQuestion);
}
