package com.sooka.jnb.asking.mapper;

import com.sooka.jnb.asking.domain.JnbQuestionType;

import java.util.List;

/**
 * 类型配置Mapper接口
 *
 * @author 韩福成
 * @date 2024-03-01
 */
public interface JnbQuestionTypeMapper {
    /**
     * 查询类型配置
     *
     * @param id 类型配置主键
     * @return 类型配置
     */
    public JnbQuestionType selectJnbQuestionTypeById(String id);

    /*
    * 按类型查询
    *
    * @author 韩福成
    * @date 2024/3/1 14:04
    */
    public List<JnbQuestionType> selectJnbQuestionByType(JnbQuestionType jnbQuestionType);

    /**
     * 查询类型配置列表
     *
     * @param jnbQuestionType 类型配置
     * @return 类型配置集合
     */
    public List<JnbQuestionType> selectJnbQuestionTypeList(JnbQuestionType jnbQuestionType);

    /**
     * 新增类型配置
     *
     * @param jnbQuestionType 类型配置
     * @return 结果
     */
    public int insertJnbQuestionType(JnbQuestionType jnbQuestionType);

    /**
     * 新增类型图片
     *
     * @param jnbQuestionType 类型配置
     * @return 结果
     */
    public int insertJnbQuestionTypePath(JnbQuestionType jnbQuestionType);

    /**
     * 修改类型配置
     *
     * @param jnbQuestionType 类型配置
     * @return 结果
     */
    public int updateJnbQuestionType(JnbQuestionType jnbQuestionType);

    /*
    * 修改图片
    *
    * @author 韩福成
    * @date 2024/3/2 11:05
    */
    public int updateJnbQuestionTypeImg(JnbQuestionType jnbQuestionType);

    /**
     * 批量删除类型配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJnbQuestionTypeByIds(String[] ids);
}
