package com.sooka.jnb.asking.service;

import com.sooka.jnb.asking.domain.JnbAnswer;

import java.util.List;

/**
 * 问答列-答案Service接口
 *
 * @author 韩福成
 * @date 2024-03-13
 */
public interface IJnbAnswerService {
    /**
     * 查询问答列-答案
     *
     * @param id 问答列-答案主键
     * @return 问答列-答案
     */
    public JnbAnswer selectJnbAnswerById(String id);

    /**
     * 查询问答列-答案列表
     *
     * @param jnbAnswer 问答列-答案
     * @return 问答列-答案集合
     */
    public List<JnbAnswer> selectJnbAnswerList(JnbAnswer jnbAnswer);

    /**
     * 新增问答列-答案
     *
     * @param jnbAnswer 问答列-答案
     * @return 结果
     */
    public int insertJnbAnswer(JnbAnswer jnbAnswer);

    /**
     * 修改问答列-答案
     *
     * @param jnbAnswer 问答列-答案
     * @return 结果
     */
    public int updateJnbAnswer(JnbAnswer jnbAnswer);

    /**
     * 批量删除问答列-答案
     *
     * @param ids 需要删除的问答列-答案主键集合
     * @return 结果
     */
    public int deleteJnbAnswerByIds(String[] ids);

    /**
     * 删除问答列-答案信息
     *
     * @param id 问答列-答案主键
     * @return 结果
     */
    public int deleteJnbAnswerById(String id);

    /*
    * 小程序-添加答案
    *
    * @author 韩福成
    * @date 2024/3/13 14:50
    */
    public int addAnswer(JnbAnswer jnbAnswer);

    /*
    * 小程序-答案采纳
    *
    * @author 韩福成
    * @date 2024/3/14 11:21
    */
    public int adoptAnswer(JnbAnswer jnbAnswer);
}
