package com.sooka.jnb.asking.service;


import com.sooka.jnb.asking.domain.JnbQuestionCollect;

import java.util.List;

/**
 * 问题收藏Service接口
 *
 * @author 韩福成
 * @date 2024-03-13
 */
public interface IJnbQuestionCollectService {
    /**
     * 查询问题收藏
     *
     * @param id 问题收藏主键
     * @return 问题收藏
     */
    public JnbQuestionCollect selectJnbQuestionCollectById(String id);

    /**
     * 查询问题收藏列表
     *
     * @param jnbQuestionCollect 问题收藏
     * @return 问题收藏集合
     */
    public List<JnbQuestionCollect> selectJnbQuestionCollectList(JnbQuestionCollect jnbQuestionCollect);

    /**
     * 新增问题收藏
     *
     * @param jnbQuestionCollect 问题收藏
     * @return 结果
     */
    public int insertJnbQuestionCollect(JnbQuestionCollect jnbQuestionCollect);

    /**
     * 修改问题收藏
     *
     * @param jnbQuestionCollect 问题收藏
     * @return 结果
     */
    public int updateJnbQuestionCollect(JnbQuestionCollect jnbQuestionCollect);

    /**
     * 批量删除问题收藏
     *
     * @param ids 需要删除的问题收藏主键集合
     * @return 结果
     */
    public int deleteJnbQuestionCollectByIds(String[] ids);

    /**
     * 删除问题收藏信息
     *
     * @param id 问题收藏主键
     * @return 结果
     */
    public int deleteJnbQuestionCollectById(String id);

    /*
    * 小程序-添加（取消）收藏
    *
    * @author 韩福成
    * @date 2024/3/14 8:46
    */
    public int addCollect(JnbQuestionCollect jnbQuestionCollect);

    /*
    * 小程序-判断是否收藏
    *
    * @author 韩福成
    * @date 2024/3/14 9:08
    */
    public List<JnbQuestionCollect> selectCollect(JnbQuestionCollect jnbQuestionCollect);
}
