package com.sooka.jnb.asking.service;

import com.sooka.jnb.asking.domain.JnbQuestion;
import com.sooka.jnb.my.domain.JnbNameAuthentication;

import java.util.List;

/**
 * 问答列-问题Service接口
 *
 * @author 韩福成
 * @date 2024-03-11
 */
public interface IJnbQuestionService {
    /**
     * 查询问答列-问题
     *
     * @param id 问答列-问题主键
     * @return 问答列-问题
     */
    public JnbQuestion selectJnbQuestionById(String id);

    /**
     * 查询问答列-问题列表
     *
     * @param jnbQuestion 问答列-问题
     * @return 问答列-问题集合
     */
    public List<JnbQuestion> selectJnbQuestionList(JnbQuestion jnbQuestion);

    /**
     * 新增问答列-问题
     *
     * @param jnbQuestion 问答列-问题
     * @return 结果
     */
    public int insertJnbQuestion(JnbQuestion jnbQuestion);

    /**
     * 修改问答列-问题
     *
     * @param jnbQuestion 问答列-问题
     * @return 结果
     */
    public int updateJnbQuestion(JnbQuestion jnbQuestion);

    /*
    * 修改是否展示
    *
    * @author 韩福成
    * @date 2024/3/14 10:23
    */
    public int updateWhetherShow(JnbQuestion jnbQuestion);

    /**
     * 批量删除问答列-问题
     *
     * @param ids 需要删除的问答列-问题主键集合
     * @return 结果
     */
    public int deleteJnbQuestionByIds(String[] ids);

    /**
     * 删除问答列-问题信息
     *
     * @param id 问答列-问题主键
     * @return 结果
     */
    public int deleteJnbQuestionById(String id);

    /**
    * 问答审核
    *
    * @author 韩福成
    * @date 2024/3/11 11:24
    */
    public int through(JnbQuestion jnbQuestion);

    /*
    * 小程序-获取热门问答列表
    *
    * @author 韩福成
    * @date 2024/3/11 14:27
    */
    public List<JnbQuestion> getHotQuestionList(JnbQuestion jnbQuestion);

    /*
    * 小程序-按类型查询问题
    *
    * @author 韩福成
    * @date 2024/3/12 13:04
    */
    public List<JnbQuestion> getQuestionByType(JnbQuestion jnbQuestion);

    /*
    * 小程序-按类型查询精彩回答问题列表
    *
    * @author 韩福成
    * @date 2024/3/12 15:52
    */
    public List<JnbQuestion> getExcitingAnswersList(JnbQuestion jnbQuestion);

    /*
    * 小程序-获取问题详情
    *
    * @author 韩福成
    * @date 2024/3/13 14:09
    */
    public JnbQuestion getDetailById(String id);

    /*
    * 小程序-按类型查询最多悬赏问题列表
    *
    * @author 韩福成
    * @date 2024/3/12 15:52
    */
    public List<JnbQuestion> getMaxScoreList(JnbQuestion jnbQuestion);
}
