package com.sooka.jnb.cooperative.service;

import java.util.List;
import com.sooka.jnb.cooperative.domain.Cooperative;

/**
 * 供销合作社Service接口
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
public interface ICooperativeService 
{
    /**
     * 查询供销合作社
     * 
     * @param id 供销合作社主键
     * @return 供销合作社
     */
    public Cooperative selectCooperativeById(Long id);

    /**
     * 查询供销合作社列表
     * 
     * @param jnbSupplyAndMarketingCooperative 供销合作社
     * @return 供销合作社集合
     */
    public List<Cooperative> selectCooperativeList(Cooperative jnbSupplyAndMarketingCooperative);

    /**
     * 新增供销合作社
     * 
     * @param jnbSupplyAndMarketingCooperative 供销合作社
     * @return 结果
     */
    public int insertCooperative(Cooperative jnbSupplyAndMarketingCooperative);

    /**
     * 修改供销合作社
     * 
     * @param jnbSupplyAndMarketingCooperative 供销合作社
     * @return 结果
     */
    public int updateCooperative(Cooperative jnbSupplyAndMarketingCooperative);

    /**
     * 批量删除供销合作社
     * 
     * @param ids 需要删除的供销合作社主键集合
     * @return 结果
     */
    public int deleteCooperativeByIds(Long[] ids);

    /**
     * 删除供销合作社信息
     * 
     * @param id 供销合作社主键
     * @return 结果
     */
    public int deleteCooperativeById(Long id);
}
