package com.sooka.jnb.department.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.sooka.jnb.department.domin.Department;
import com.sooka.jnb.department.service.DepartmentService;
import com.sooka.jnb.handleAffairs.domain.GridType;
import org.springframework.stereotype.Service;
import com.sooka.jnb.department.mapper.DepartmentMapper;

import javax.annotation.Resource;
import java.util.List;

@Service
public class departmentServicempl implements DepartmentService
{
    @Resource
    private DepartmentMapper departmentMapper;



    /**
     * 查询部门配置列表
     */
    @Override
    public List<Department> selectSysDeptVo(Department department)
    {
        return departmentMapper.selectSysDeptVo(department);
    }

    /**
     * 获取部门配置详细信息
     */
    @Override
    public  Department selectSysDeptById(Integer id)
    {
        return departmentMapper.selectSysDeptById(id);
    }

    /**
     * 新增部门配置
     */
    @Override
    public int insertSysDept(Department department)
    {
        department.setCreateTime(DateUtils.getNowDate());
        department.setCreateBy(SecurityUtils.getUserId().toString());
        department.setDelFlag("0");
        return departmentMapper.insertSysDept(department);
    }


    /**
     * 修改部门配置
     */
    @Override
    public int updateSysDept(Department department)
    {
        department.setUpdateTime(DateUtils.getNowDate());
        department.setUpdateBy(SecurityUtils.getUserId().toString());
        return departmentMapper.updateSysDept(department);
    }

    /**
     * 删除部门配置
     */
    @Override
    public int deleteSysDeptByDeptId(Long id)
    {
        return departmentMapper.deleteSysDeptByDeptId(id);
    }
}
