package com.sooka.jnb.handleAffairs.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 主题类型配置对象 jnb_topic_type
 * 
 * @author lidongyu
 * @date 2024-03-01
 */
@Data
public class TopicType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 部门名称 */
    @Excel(name = "部门名称")
    @NotBlank(message = "部门名称不能为空")
    private String deptName;

    /** 是否首页展示 */
    @Excel(name = "是否首页展示")
    private String yesOrNoShow;

    /** 办理对象（字典值：个人or法人） */
    @Excel(name = "办理对象", readConverterExp = "字=典值：个人or法人",dictType = "object_application")
    private String objectOfHandling;

    @NotEmpty(message = "办理对象不能为空")
    private List<String> objectOfHandlingArray;

}
