package com.sooka.jnb.handleAffairs.service;

import com.sooka.jnb.handleAffairs.domain.GridType;

import java.util.List;


/**
 * 网格类型配置Service接口
 * 
 * @author lidongyu
 * @date 2024-03-01
 */
public interface IGridTypeService
{
    /**
     * 查询网格类型配置
     * 
     * @param id 网格类型配置主键
     * @return 网格类型配置
     */
    public GridType selectGridTypeById(Long id);

    /**
     * 查询网格类型配置列表
     * 
     * @param gridType 网格类型配置
     * @return 网格类型配置集合
     */
    public List<GridType> selectGridTypeList(GridType gridType);

    /**
     * 新增网格类型配置
     * 
     * @param gridType 网格类型配置
     * @return 结果
     */
    public int insertGridType(GridType gridType);

    /**
     * 修改网格类型配置
     * 
     * @param gridType 网格类型配置
     * @return 结果
     */
    public int updateGridType(GridType gridType);

    /**
     * 批量删除网格类型配置
     * 
     * @param ids 需要删除的网格类型配置主键集合
     * @return 结果
     */
    public int deleteGridTypeByIds(Long[] ids);

    /**
     * 删除网格类型配置信息
     * 
     * @param id 网格类型配置主键
     * @return 结果
     */
    public int deleteGridTypeById(Long id);
}
