package com.sooka.jnb.handleAffairs.service;


import com.sooka.jnb.handleAffairs.domain.TopicType;

import java.util.List;

/**
 * 主题类型配置Service接口
 * 
 * @author lidongyu
 * @date 2024-03-01
 */
public interface ITopicTypeService
{
    /**
     * 查询主题类型配置
     * 
     * @param id 主题类型配置主键
     * @return 主题类型配置
     */
    public TopicType selectTopicTypeById(Long id);

    /**
     * 查询主题类型配置列表
     * 
     * @param topicType 主题类型配置
     * @return 主题类型配置集合
     */
    public List<TopicType> selectTopicTypeList(TopicType topicType);

    /**
     * 新增主题类型配置
     * 
     * @param topicType 主题类型配置
     * @return 结果
     */
    public int insertTopicType(TopicType topicType);

    /**
     * 修改主题类型配置
     * 
     * @param topicType 主题类型配置
     * @return 结果
     */
    public int updateTopicType(TopicType topicType);

    /**
     * 批量删除主题类型配置
     * 
     * @param ids 需要删除的主题类型配置主键集合
     * @return 结果
     */
    public int deleteTopicTypeByIds(Long[] ids);

    /**
     * 删除主题类型配置信息
     * 
     * @param id 主题类型配置主键
     * @return 结果
     */
    public int deleteTopicTypeById(Long id);
}
