package com.sooka.jnb.highServer.service;

import com.sooka.jnb.highServer.domain.JnbHighServer;
import com.sooka.jnb.highServer.vo.JnbHighServerVO;

import java.util.List;

/**
 * 高频服务Service接口
 *
 * @author ruoyi
 * @date 2024-03-01
 */
public interface IJnbHighServerService {
    /**
     * 查询高频服务
     *
     * @param id 高频服务主键
     * @return 高频服务
     */
    public JnbHighServerVO selectJnbHighServerById(Long id,Integer type);

    /**
     * 查询高频服务列表
     *
     * @param jnbHighServerVO 高频服务
     * @return 高频服务集合
     */
    public List<JnbHighServerVO> selectJnbHighServerList(JnbHighServerVO jnbHighServerVO);

    /**
     * 新增高频服务
     *
     * @param jnbHighServerVO 高频服务
     * @return 结果
     */
    public int insertJnbHighServer(JnbHighServerVO jnbHighServerVO);

    /**
     * 修改高频服务
     *
     * @param jnbHighServerVO 高频服务
     * @return 结果
     */
    public int updateJnbHighServer(JnbHighServerVO jnbHighServerVO);

    /**
     * 批量删除高频服务
     *
     * @param ids 需要删除的高频服务主键集合
     * @return 结果
     */
    public int deleteJnbHighServerByIds(Long[] ids,Integer type);

    /**
     * 删除高频服务信息
     *
     * @param id 高频服务主键
     * @return 结果
     */
    public int deleteJnbHighServerById(Long id,Integer type);

    List<JnbHighServerVO> getLiveBroadcast(JnbHighServer jnbHighServer);

    JnbHighServerVO liveBroadcastDetails(Long id);

    List<JnbHighServerVO> getLifeServices(JnbHighServer jnbHighServer);

    JnbHighServerVO lifeServicesDetails(Long id);

    List<JnbHighServerVO> getTravelGuide(JnbHighServer jnbHighServer);

    JnbHighServerVO travelGuideDetails(Long id);

    List<JnbHighServerVO> getPsychology(JnbHighServer jnbHighServer);

    JnbHighServerVO psychologyDetails(Long id);

    List<JnbHighServerVO> getLoveAtVillage(JnbHighServer jnbHighServer);

    JnbHighServerVO loveAtVillageDetails(Long id);

    List<JnbHighServerVO> getLegalService(JnbHighServer jnbHighServer);

    JnbHighServerVO legalServiceDetails(Long id);

    List<JnbHighServerVO> getFinancialInfrastructure(JnbHighServer jnbHighServer);

    JnbHighServerVO financialInfrastructureDetails(Long id);

    List<JnbHighServerVO> getInquiry(JnbHighServer jnbHighServer);

    JnbHighServerVO inquiryDetails(Long id);

    List<JnbHighServerVO> getHelp(JnbHighServer jnbHighServer);

    JnbHighServerVO helpDetails(Long id);
}
