package com.sooka.jnb.highServer.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;
import java.util.List;

/**
 * 高频服务对象 jnb_high_server
 *
 * @author ruoyi
 * @date 2024-03-01
 */

@Data
public class JnbHighServerVO {

    /**
     * id
     */
    private Long id;

    /**
     * 标题
     */
    @Excel(name = "标题")
    private String titleName;

    /**
     * 正文
     */
    @Excel(name = "正文")
    private String textDetails;

    /**
     * 点赞数
     */
    @Excel(name = "点赞数")
    private Long likeNum;

    /**
     * 浏览数
     */
    @Excel(name = "浏览数")
    private Long watchNum;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 创建人
     */
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改人
     */
    @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 高频服务图片id
     */
    private String imgId;

    /**
     * 高频服务图片路径
     */
     private String imgUrlList;

     /**
     * 高频服务图片路径集合
     */
     private List<String> pictureList;

}
