package com.sooka.jnb.information.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 资讯
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
@Data
public class InformationUni extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @NotBlank(message = "标题不能为空")
    private String titleName;

    /** 正文 */
    @Excel(name = "正文",width = 100)
    @NotBlank(message = "正文不能为空")
    private String textDetails;

    /** 是否政策推荐 */
    @Excel(name = "是否政策推荐", readConverterExp = "1=是,0=否")
    private Integer isGovernment;

    /** 是否置顶 */
    @Excel(name = "是否置顶", readConverterExp = "1=是,0=否")
    @JsonProperty("top")
    private Integer isTop;

    /** 点赞数 */
    @Excel(name = "点赞数")
    private Long likeNum;

    /** 浏览数 */
    @Excel(name = "浏览数")
    private Long watchNum;

    private Integer type;

    @TableField(exist = false)
    private List<String> urls;

}
