package com.sooka.jnb.information.mapper;

import com.sooka.jnb.information.domain.Information;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 资讯Mapper接口
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
public interface InformationMapper
{
    /**
     * 查询资讯
     * 
     * @param id 资讯主键
     * @return 资讯
     */
    public Information selectInformationById(@Param("id") Long id, @Param("type") Integer type);

    /**
     * 查询资讯列表
     * 
     * @param information 资讯
     * @return 资讯集合
     */
    public List<Information> selectInformationList(Information information);

    /**
     * 新增资讯
     * 
     * @param information 资讯
     * @return 结果
     */
    public int insertInformation(Information information);

    /**
     * 修改资讯
     * 
     * @param information 资讯
     * @return 结果
     */
    public int updateInformation(Information information);

    /**
     * 删除资讯
     * 
     * @param id 资讯主键
     * @return 结果
     */
    public int deleteInformationById(@Param("id") Long id, @Param("type") Integer type);

    /**
     * 批量删除资讯
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInformationByIds(@Param("ids") Long[] ids, @Param("type") Integer type);

    /**
     * 文章列表
     * @param information 按照时间，点赞，浏览 排序
     * @return 结果
     */
    List<Information> selectInformationListWxs(@Param("obj") Information information);

    /**
     * 置顶，政策推荐 3个
     * @param information
     * @return 结果
     */
    List<Information> selectInformationListWx(Information information);

    int updateInformationLike(Information information);
    int updateInformationWatch(Information information);
}
