package com.sooka.jnb.information.service;

import com.sooka.jnb.information.domain.Information;
import com.sooka.jnb.information.domain.InformationUni;

import java.util.List;


/**
 * 资讯Service接口
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
public interface InformationService
{
    /**
     * 查询资讯
     * 
     * @param id 资讯主键
     * @return 资讯
     */
    public Information selectInformationById(Long id,Integer type);
    public Information selectInformationByIdgetInfoUniApp(Long id,Integer type);

    /**
     * 查询资讯服务列表
     * 
     * @param information 资讯
     * @return 高频服务集合
     */
    public List<Information> selectInformationList(Information information);

    public List<InformationUni> selectInformationListWx(Information information);


    /**
     * 新增资讯
     * 
     * @param information 资讯
     * @return 结果
     */
    public int insertInformationServer(Information information);
    /**
     * 新增资讯-小程序
     *
     * @param information 资讯
     * @return 结果
     */
    public int insertInformationServerUni(InformationUni information);

    /**
     * 修改资讯
     * 
     * @param information 资讯
     * @return 结果
     */
    public int updateInformation(Information information);
    /**
     * 修改资讯-小程序
     *
     * @param information 资讯
     * @return 结果
     */
    public int updateInformationUni(InformationUni information);

    /**
     * 批量删除资讯
     * 
     * @param ids 需要删除的资讯主键集合
     * @return 结果
     */
    public int deleteInformationByIds(Long[] ids,Integer type);

    List<Information> selectInformationListWxs(Information information);

    int likeById(Information information);
    int watchById(Information information);
}
