package com.sooka.jnb.knowledge.mapper;


import com.sooka.jnb.knowledge.dto.JnbKnowledgeBaseDTO;
import com.sooka.jnb.knowledge.vo.JnbKnowledgeBaseVO;

import java.util.List;


/**
 * 知识库Mapper接口
 *
 * @author ruoyi
 * @date 2024-03-02
 */
public interface JnbKnowledgeBaseMapper {
    /**
     * 查询知识库
     *
     * @param id 知识库主键
     * @return 知识库
     */
    public JnbKnowledgeBaseVO selectJnbKnowledgeBaseById(Long id);

    /**
     * 查询知识库列表
     *
     * @param jnbKnowledgeBaseVO 知识库
     * @return 知识库集合
     */
    public List<JnbKnowledgeBaseVO> selectJnbKnowledgeBaseList(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    /**
     * 新增知识库
     *
     * @param jnbKnowledgeBaseVO 知识库
     * @return 结果
     */
    public int insertJnbKnowledgeBase(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    /**
     * 修改知识库
     *
     * @param jnbKnowledgeBaseVO 知识库
     * @return 结果
     */
    public int updateJnbKnowledgeBase(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    /**
     * 删除知识库
     *
     * @param id 知识库主键
     * @return 结果
     */
    public int deleteJnbKnowledgeBaseById(Long id);

    /**
     * 批量删除知识库
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJnbKnowledgeBaseByIds(Long[] ids);

    int updateIsPopular(JnbKnowledgeBaseDTO jnbKnowledgeBaseDTO);

    List<JnbKnowledgeBaseVO> popularKnowledgeList(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    List<JnbKnowledgeBaseVO> knowledgePayList(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    void updateWatchNum(Long id);
}
