package com.sooka.jnb.knowledge.service;


import com.ruoyi.common.core.domain.AjaxResult;
import com.sooka.jnb.knowledge.dto.JnbKnowledgeBaseDTO;
import com.sooka.jnb.knowledge.vo.JnbKnowledgeBaseVO;

import java.util.List;

/**
 * 知识库Service接口
 *
 * @author ruoyi
 * @date 2024-03-02
 */
public interface IJnbKnowledgeBaseService {
    /**
     * 查询知识库
     *
     * @param id 知识库主键
     * @return 知识库
     */
    public JnbKnowledgeBaseVO selectJnbKnowledgeBaseById(Long id);

    /**
     * 查询知识库列表
     *
     * @param jnbKnowledgeBaseVO 知识库
     * @return 知识库集合
     */
    public List<JnbKnowledgeBaseVO> selectJnbKnowledgeBaseList(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    /**
     * 新增知识库
     *
     * @param jnbKnowledgeBaseVO 知识库
     * @return 结果
     */
    public int insertJnbKnowledgeBase(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    /**
     * 修改知识库
     *
     * @param jnbKnowledgeBaseVO 知识库
     * @return 结果
     */
    public int updateJnbKnowledgeBase(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    /**
     * 批量删除知识库
     *
     * @param ids 需要删除的知识库主键集合
     * @return 结果
     */
    public int deleteJnbKnowledgeBaseByIds(Long[] ids);

    /**
     * 删除知识库信息
     *
     * @param id 知识库主键
     * @return 结果
     */
    public int deleteJnbKnowledgeBaseById(Long id);

    int updateIsPopular(JnbKnowledgeBaseDTO jnbKnowledgeBaseDTO);

    List<JnbKnowledgeBaseVO> popularKnowledgeList(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    List<JnbKnowledgeBaseVO> knowledgePayList(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);

    AjaxResult knowledgePay(JnbKnowledgeBaseVO jnbKnowledgeBaseVO);
}
