package com.sooka.jnb.knowledge.vo;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class JnbKnowledgeBaseVO {

    /**
     * id
     */
    private Long id;

    /**
     * 标题
     */
    @Excel(name = "标题")
    private String titleName;

    /**
     * 正文
     */
    @Excel(name = "正文")
    private String textDetails;

    /**
     * 是否热门
     */
    @Excel(name = "是否热门")
    private Boolean popular;

    /**
     * 付费积分
     */
    @Excel(name = "付费积分")
    private Long integral;

    /**
     * 点赞数
     */
    @Excel(name = "点赞数")
    private Long likeNum;

    /**
     * 浏览数
     */
    @Excel(name = "浏览数")
    private Long watchNum;


    /**
     * 创建人
     */
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改人
     */
    @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 知识库图片id
     */
    private String imgId;

    /**
     * 知识库图片路径
     */
    private String imgUrlList;

    /**
     * 创建人id
     */
    @Excel(name = "创建人id")
    private String createId;

    /**
     * 被扣除积分人id
     */
    @Excel(name = "被扣除积分人id")
    private String userId;

    /**
     * 是否付费(1:已付费；0:未付费)
     */
    @Excel(name = "是否付费(1:已付费；0:未付费)")
    private String purchaseStatus;
}
