package com.sooka.jnb.matter.service.impl;


import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.sooka.jnb.department.domin.Department;
import com.sooka.jnb.matter.domin.Matter;
import com.sooka.jnb.matter.mapper.MatterMapper;
import com.sooka.jnb.matter.service.MatterService;
import com.sooka.jnb.my.domain.Announcement;
import com.sooka.jnb.my.service.IAnnouncementService;
import com.sooka.jnb.quotations.domain.JnbQuotations;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Objects;

@Service
public class MatterServicempl implements MatterService
{
    @Resource
    private MatterMapper matterMapper;

    @Resource
    private IAnnouncementService announcementService;
    /**
     * 获取事项详细信息
     */
    @Override
    public Matter selectSysMatterById(Integer id)
    {
        return matterMapper.selectSysMatterById(id);
    }

    /**
     * 查询事项列表
     */
    @Override
    public List<Matter> selectSysMatterVo(Matter matter)
    {
        return matterMapper.selectSysMatterVo(matter);
    }

    /**
     * 查询推荐事项列表
     */
    @Override
    public List<Matter> selectSysrecommendVo(Matter matter)
    {
        return matterMapper.selectSysrecommendVo(matter);
    }
    /**
     * 获取事项详细信息
     */
    @Override
    public List<Matter> collectlist(String id)
    {
        return matterMapper.collectlist(id);
    }

    /**
     * 新增事项
     */
    @Override
    public int insertSysMatter(Matter matter)
    {

        matter.setCreateTime(DateUtils.getNowDate());
        matter.setCreateBy(SecurityUtils.getUserId().toString());
        matter.setDelFlag("0");
        return matterMapper.insertSysMatter(matter);
    }

    /**
     * 修改事项
     */
    @Override
    public int updateSysMatter(Matter matter)
    {
        matter.setUpdateTime(DateUtils.getNowDate());
        matter.setUpdateBy(SecurityUtils.getUserId().toString());
        return matterMapper.updateSysMatter(matter);
    }

    /**
     * 审核事项
     */
    @Override
    public int examine(Matter matter)
    {
        int i = matterMapper.examine(matter);
        if (i>0) {
            announcementService.insertAnnouncement(fromate(matter.getExamine(), matter.getTitle(), matter.getCreateBy(),matter.getCreateTime()));
        }
        return i;

    }


    public Announcement fromate(String examine, String title, String id, Date createTime) {
        Announcement announcement = new Announcement();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String data = simpleDateFormat.format(createTime);
        if (Objects.equals(examine, "1")) {
            announcement.setAnnouncementTitle("审核通过:" + title);
            announcement.setAnnouncementBody("您在" + data + "发起的行情信息已审核通过，请查看");
            announcement.setValidityStartTime(new Date());
            announcement.setUserId(id);
            announcement.setCreateBy(SecurityUtils.getUserId().toString());
            return announcement;
        } else {
            announcement.setAnnouncementTitle("审核拒绝:" + title);
            announcement.setAnnouncementBody("您在" + data + "发起的行情信息已审核被拒绝，请查看");
            announcement.setValidityStartTime(new Date());
            announcement.setUserId(String.valueOf(id));
            announcement.setCreateBy(SecurityUtils.getUserId().toString());
            return announcement;
        }
    }
    /**
     * 删除事项
     */
    @Override
    public int deleteSysMatterByDeptId(Long id)
    {
        return matterMapper.deleteSysMatterByDeptId(id);
    }
}
