package com.sooka.jnb.my.mapper;

import java.util.List;
import java.util.Map;

import com.sooka.jnb.my.domain.JnbImg;

/**
 * 图片管理Mapper接口
 *
 * @author LG
 * @date 2024-03-05
 */
public interface JnbImgMapper {
    /**
     * 查询图片管理
     *
     * @param id 图片管理主键
     * @return 图片管理
     */
    public JnbImg selectJnbImgById(Long id);

    /**
     * 查询图片管理列表
     *
     * @param jnbImg 图片管理
     * @return 图片管理集合
     */
    public List<JnbImg> selectJnbImgList(JnbImg jnbImg);

    /**
     * 新增图片管理
     *
     * @param jnbImg 图片管理
     * @return 结果
     */
    public int insertJnbImg(JnbImg jnbImg);

    /**
     * 修改图片管理
     *
     * @param jnbImg 图片管理
     * @return 结果
     */
    public int updateJnbImg(JnbImg jnbImg);

    /**
     * 删除图片管理
     *
     * @param id 图片管理主键
     * @return 结果
     */
    public int deleteJnbImgById(Long id);

    /**
     * 批量删除图片管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJnbImgByIds(Long[] ids);

    Map<String, String> isCover();

    String getCover();

    List<String> getCarousel();
}
