package com.sooka.jnb.my.mapper;

import com.sooka.jnb.my.domain.JnbAuthenticationImg;
import com.sooka.jnb.my.domain.JnbNameAuthentication;

import java.util.List;

/**
 * 实名认证Mapper接口
 *
 * @author 韩福成
 * @date 2024-03-02
 */
public interface JnbNameAuthenticationMapper {
    /**
     * 查询实名认证
     *
     * @param id 实名认证主键
     * @return 实名认证
     */
    public JnbNameAuthentication selectJnbNameAuthenticationById(String id);

    /**
     * 查询实名认证列表
     *
     * @param jnbNameAuthentication 实名认证
     * @return 实名认证集合
     */
    public List<JnbNameAuthentication> selectJnbNameAuthenticationList(JnbNameAuthentication jnbNameAuthentication);

    /**
     * 新增实名认证
     *
     * @param jnbNameAuthentication 实名认证
     * @return 结果
     */
    public int insertJnbNameAuthentication(JnbNameAuthentication jnbNameAuthentication);

    /*
    * 新增图片
    *
    * @author 韩福成
    * @date 2024/3/2 13:27
    */
    public int insertJnbAuthenticationImg(JnbAuthenticationImg jnbAuthenticationImg);

    /**
     * 修改实名认证
     *
     * @param jnbNameAuthentication 实名认证
     * @return 结果
     */
    public int updateJnbNameAuthentication(JnbNameAuthentication jnbNameAuthentication);

    /**
     * 删除实名认证
     *
     * @param id 实名认证主键
     * @return 结果
     */
    public int deleteJnbNameAuthenticationById(String id);

    /*
    * 更新用户信息
    *
    * @author 韩福成
    * @date 2024/3/6 14:19
    */
    public int updateWxUser(JnbNameAuthentication jnbNameAuthentication);

    /**
     * 批量删除实名认证
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJnbNameAuthenticationByIds(String[] ids);

    /*
    * 小程序-按登录人获取实名认证信息
    *
    * @author 韩福成
    * @date 2024/3/6 14:45
    */
    public JnbNameAuthentication getNameInfo(String userId);
}
