package com.sooka.jnb.my.mapper;

import com.sooka.jnb.my.domain.JnbOfficialAuthentication;

import java.util.List;


/**
 * 官方认证Mapper接口
 *
 * @author 韩福成
 * @date 2024-03-02
 */
public interface JnbOfficialAuthenticationMapper {
    /**
     * 查询官方认证
     *
     * @param id 官方认证主键
     * @return 官方认证
     */
    public JnbOfficialAuthentication selectJnbOfficialAuthenticationById(String id);

    /**
     * 查询官方认证列表
     *
     * @param jnbOfficialAuthentication 官方认证
     * @return 官方认证集合
     */
    public List<JnbOfficialAuthentication> selectJnbOfficialAuthenticationList(JnbOfficialAuthentication jnbOfficialAuthentication);

    /**
     * 新增官方认证
     *
     * @param jnbOfficialAuthentication 官方认证
     * @return 结果
     */
    public int insertJnbOfficialAuthentication(JnbOfficialAuthentication jnbOfficialAuthentication);

    /**
     * 修改官方认证
     *
     * @param jnbOfficialAuthentication 官方认证
     * @return 结果
     */
    public int updateJnbOfficialAuthentication(JnbOfficialAuthentication jnbOfficialAuthentication);

    /**
     * 删除官方认证
     *
     * @param id 官方认证主键
     * @return 结果
     */
    public int deleteJnbOfficialAuthenticationById(String id);

    /**
     * 批量删除官方认证
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJnbOfficialAuthenticationByIds(String[] ids);

    /*
    * 小程序-按登录人获取官方认证信息
    *
    * @author 韩福成
    * @date 2024/3/6 16:22
    */
    public JnbOfficialAuthentication getOfficialInfo(String userId);
}
