package com.sooka.jnb.my.service;

import com.sooka.jnb.my.domain.Announcement;
import com.sooka.jnb.my.domain.AnnouncementRead;

import java.util.List;

/**
 * 公告Service接口
 *
 * @author LG
 * @date 2024-03-02
 */
public interface IAnnouncementService {
    /**
     * 查询公告
     *
     * @param id 公告主键
     * @return 公告
     */
    Announcement selectAnnouncementById(String id);

    /**
     * 查询公告列表
     *
     * @param announcement 公告
     * @return 公告集合
     */
    List<Announcement> selectAnnouncementList(Announcement announcement);

    /**
     * 新增公告
     *
     * @param announcement 公告
     * @return 结果
     */
    int insertAnnouncement(Announcement announcement);

    /**
     * 修改公告
     *
     * @param announcement 公告
     * @return 结果
     */
    int updateAnnouncement(Announcement announcement);

    /**
     * 批量删除公告
     *
     * @param ids 需要删除的公告主键集合
     * @return 结果
     */
    int deleteAnnouncementByIds(String[] ids);

    /**
     * 删除公告信息
     *
     * @param id 公告主键
     * @return 结果
     */
    int deleteAnnouncementById(String id);

    /**
     * 记录已读消息
     * @param announcement
     * @return
     */
    int readAnnouncement(AnnouncementRead announcement);


    List<Announcement> getNewAnnouncement(Announcement announcement);
}
