package com.sooka.jnb.my.service;


import com.sooka.jnb.my.domain.JnbNameAuthentication;

import java.util.List;

/**
 * 实名认证Service接口
 *
 * @author 韩福成
 * @date 2024-03-02
 */
public interface IJnbNameAuthenticationService {
    /**
     * 查询实名认证
     *
     * @param id 实名认证主键
     * @return 实名认证
     */
    public JnbNameAuthentication selectJnbNameAuthenticationById(String id);

    /**
     * 查询实名认证列表
     *
     * @param jnbNameAuthentication 实名认证
     * @return 实名认证集合
     */
    public List<JnbNameAuthentication> selectJnbNameAuthenticationList(JnbNameAuthentication jnbNameAuthentication);

    /**
     * 新增实名认证
     *
     * @param jnbNameAuthentication 实名认证
     * @return 结果
     */
    public int insertJnbNameAuthentication(JnbNameAuthentication jnbNameAuthentication);

    /**
     * 修改实名认证
     *
     * @param jnbNameAuthentication 实名认证
     * @return 结果
     */
    public int updateJnbNameAuthentication(JnbNameAuthentication jnbNameAuthentication);

    /**
     * 批量删除实名认证
     *
     * @param ids 需要删除的实名认证主键集合
     * @return 结果
     */
    public int deleteJnbNameAuthenticationByIds(String[] ids);

    /*
    * 审核
    *
    * @author 韩福成
    * @date 2024/3/5 11:10
    */
    public int through(JnbNameAuthentication jnbNameAuthentication);

    /**
     * 删除实名认证信息
     *
     * @param id 实名认证主键
     * @return 结果
     */
    public int deleteJnbNameAuthenticationById(String id);

    /*
    * 小程序-按登录人获取实名认证信息
    *
    * @author 韩福成
    * @date 2024/3/6 14:43
    */
    public JnbNameAuthentication getNameInfo(String userId);
}
