package com.sooka.jnb.my.service.impl;

import com.sooka.jnb.my.domain.JnbImg;
import com.sooka.jnb.my.mapper.JnbImgMapper;
import com.sooka.jnb.my.service.IJnbImgService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 图片管理Service业务层处理
 *
 * @author LG
 * @date 2024-03-05
 */
@Service
public class JnbImgServiceImpl implements IJnbImgService {
    @Resource
    private JnbImgMapper jnbImgMapper;

    /**
     * 查询图片管理
     *
     * @param id 图片管理主键
     * @return 图片管理
     */
    @Override
    public JnbImg selectJnbImgById(Long id) {
        return jnbImgMapper.selectJnbImgById(id);
    }

    /**
     * 查询图片管理列表
     *
     * @param jnbImg 图片管理
     * @return 图片管理
     */
    @Override
    public List<JnbImg> selectJnbImgList(JnbImg jnbImg) {
        return jnbImgMapper.selectJnbImgList(jnbImg);
    }

    /**
     * 新增图片管理
     *
     * @param jnbImg 图片管理
     * @return 结果
     */
    @Override
    public int insertJnbImg(JnbImg jnbImg) {
        return jnbImgMapper.insertJnbImg(jnbImg);
    }

    /**
     * 修改图片管理
     *
     * @param jnbImg 图片管理
     * @return 结果
     */
    @Override
    public int updateJnbImg(JnbImg jnbImg) {
        return jnbImgMapper.updateJnbImg(jnbImg);
    }

    /**
     * 批量删除图片管理
     *
     * @param ids 需要删除的图片管理主键
     * @return 结果
     */
    @Override
    public int deleteJnbImgByIds(Long[] ids) {
        return jnbImgMapper.deleteJnbImgByIds(ids);
    }

    /**
     * 删除图片管理信息
     *
     * @param id 图片管理主键
     * @return 结果
     */
    @Override
    public int deleteJnbImgById(Long id) {
        return jnbImgMapper.deleteJnbImgById(id);
    }

    @Override
    public boolean isCover() {
        Map<String, String> cover = jnbImgMapper.isCover();
        if ("1".equals(cover.get("isCover"))) {
            return true;
        }else{
            return false;
        }
    }

    @Override
    public String getCover() {
        return jnbImgMapper.getCover();
    }

    @Override
    public List<String> getCarousel() {
        return jnbImgMapper.getCarousel();
    }
}
