package com.sooka.jnb.quotations.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.List;

/**
 * 行情对象 jnb_quotations
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
@Data
public class JnbQuotations extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 产品名称 */
    @Excel(name = "产品名称")
    @NotBlank(message = "产品名称不能为空")
    private String productName;

    /** 地区 */
    @Excel(name = "地区")
    @NotBlank(message = "地区不能为空")
    private String area;

    /** 类型 */
    @Excel(name = "类型")
    @NotBlank(message = "类型不能为空")
    private String type;

    /** 价格 */
    @Excel(name = "价格")
    @NotBlank(message = "价格不能为空")
    private BigDecimal price;

    /** 手机号 */
    @Excel(name = "手机号")
    @NotBlank(message = "手机号不能为空")
    private String phone;

    /** 地址 */
    @Excel(name = "地址")
    @NotBlank(message = "地址不能为空")
    private String address;

    /** 删除状态 */
    private String delFlag;

    /** 图片 */
    private String url;

    /** 图片数组 */
    private List<String> urlArray;

    /** 审核状态 */
    private String status;

    private String[] types;

}
