package com.sooka.jnb.quotations.mapper;

import com.sooka.jnb.quotations.domain.JnbQuotationsConfig;

import java.util.List;

/**
 * 行情产品配置Mapper接口
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
public interface JnbQuotationsConfigMapper 
{
    /**
     * 查询行情产品配置
     * 
     * @param id 行情产品配置主键
     * @return 行情产品配置
     */
    public JnbQuotationsConfig selectJnbQuotationsConfigById(Long id);

    /**
     * 查询行情产品配置列表
     * 
     * @param jnbQuotationsConfig 行情产品配置
     * @return 行情产品配置集合
     */
    public List<JnbQuotationsConfig> selectJnbQuotationsConfigList(JnbQuotationsConfig jnbQuotationsConfig);

    /**
     * 新增行情产品配置
     * 
     * @param jnbQuotationsConfig 行情产品配置
     * @return 结果
     */
    public int insertJnbQuotationsConfig(JnbQuotationsConfig jnbQuotationsConfig);

    /**
     * 修改行情产品配置
     * 
     * @param jnbQuotationsConfig 行情产品配置
     * @return 结果
     */
    public int updateJnbQuotationsConfig(JnbQuotationsConfig jnbQuotationsConfig);


    /**
     * 批量删除行情产品配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJnbQuotationsConfigByIds(Long id);

    public List<JnbQuotationsConfig> selectAllQuotationsConfig(JnbQuotationsConfig jnbQuotations);

    public int selectCount(JnbQuotationsConfig jnbQuotationsConfig);

    /**
     * 查询是否有子级id
     * @param id
     * @return
     */
    public int selectJnbQuotationsConfigByParentId(Long id);
}
