package com.sooka.jnb.quotations.mapper;

import com.sooka.jnb.quotations.domain.JnbQuotations;

import java.util.List;

/**
 * 行情Mapper接口
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
public interface JnbQuotationsMapper 
{
    /**
     * 查询行情
     * 
     * @param id 行情主键
     * @return 行情
     */
    public JnbQuotations selectJnbQuotationsById(Long id);

    /**
     * 查询行情列表
     * 
     * @param jnbQuotations 行情
     * @return 行情集合
     */
    public List<JnbQuotations> selectJnbQuotationsList(JnbQuotations jnbQuotations);

    /**
     * 校验行情是否唯一
     * @param jnbQuotations
     * @return
     */
    public int selectCount(JnbQuotations jnbQuotations);
    /**
     * 新增行情
     * 
     * @param jnbQuotations 行情
     * @return 结果
     */
    public int insertJnbQuotations(JnbQuotations jnbQuotations);

    /**
     * 修改行情
     * 
     * @param jnbQuotations 行情
     * @return 结果
     */
    public int updateJnbQuotations(JnbQuotations jnbQuotations);


    /**
     * 批量删除行情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJnbQuotationsByIds(Long[] ids);

    /**
     * 修改审核状态
     */
    public int updateByStatusAndId(JnbQuotations jnbQuotations);
}
