package com.sooka.jnb.quotations.service;

import com.sooka.jnb.quotations.domain.JnbQuotationsConfig;
import com.sooka.jnb.quotations.domain.vo.JnbQuotationsTreeVO;

import java.util.List;

/**
 * 行情产品配置Service接口
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
public interface IJnbQuotationsConfigService 
{
    /**
     * 查询行情产品配置
     * 
     * @param id 行情产品配置主键
     * @return 行情产品配置
     */
    public JnbQuotationsConfig selectJnbQuotationsConfigById(Long id);

    JnbQuotationsTreeVO<JnbQuotationsConfig> quotationsTree(JnbQuotationsConfig jnbQuotationsConfig);

    /**
     * 查询行情产品配置列表
     * 
     * @param jnbQuotationsConfig 行情产品配置
     * @return 行情产品配置集合
     */
    public List<JnbQuotationsConfig> selectJnbQuotationsConfigList(JnbQuotationsConfig jnbQuotationsConfig);

    /**
     * 新增行情产品配置
     * 
     * @param jnbQuotationsConfig 行情产品配置
     * @return 结果
     */
    public int insertJnbQuotationsConfig(JnbQuotationsConfig jnbQuotationsConfig);

    /**
     * 修改行情产品配置
     * 
     * @param jnbQuotationsConfig 行情产品配置
     * @return 结果
     */
    public int updateJnbQuotationsConfig(JnbQuotationsConfig jnbQuotationsConfig);

    /**
     * 批量删除行情产品配置
     * 
     * @param id 需要删除的行情产品配置主键集合
     * @return 结果
     */
    public int deleteJnbQuotationsConfigByIds(Long id);
    
}
